hsyslog-5.0.1: FFI interface to syslog(3) from POSIX.1-2001

Maintainer | simons@cryp.to
Stability | provisional
Portability | POSIX
Safe Haskell | Safe
Language | Haskell2010

System.Posix.Syslog.Options

Description

FFI bindings to `syslog(3)` from POSIX.1-2008. This module is intended for purposes of low-level implementation. Users of this library should prefer safer and more convenient API provided by System.Posix.Syslog.

Synopsis

- data Option
  - = LogPID
  - | Console
  - | DelayedOpen
  - | ImmediateOpen
  - | DontWaitForChildren
- fromOption :: Option -> CInt

# Documentation

data Option Source #

The function `openlog` allows one to configure a handful of process-wide options that modify the bahavior of the `syslog` funcion. These options are `pid`, `cons`, `odelay`, and `ndelay`.

Constructors

LogPID | Log the pid with each message.
Console | Log on the console if errors occur while sending messages.
DelayedOpen | Delay all initialization until first `syslog()` call (default).
ImmediateOpen | Initalize the syslog system immediately.
DontWaitForChildren | The syslog system should not attempt to wait for child process it may have created. This option is required by applications who enable `SIGCHLD` themselves.

Instances

Bounded Option Source # |
Methods minBound :: Option # maxBound :: Option #
Enum Option Source # |
Methods succ :: Option -> Option # pred :: Option -> Option # toEnum :: Int -> Option # fromEnum :: Option -> Int # enumFrom :: Option -> [Option] # enumFromThen :: Option -> Option -> [Option] # enumFromTo :: Option -> Option -> [Option] # enumFromThenTo :: Option -> Option -> Option -> [Option] #
Eq Option Source # |
Methods (==) :: Option -> Option -> Bool # (/=) :: Option -> Option -> Bool #
Read Option Source # |
Methods readsPrec :: Int -> ReadS Option # readList :: ReadS [Option] # readPrec :: ReadPrec Option # readListPrec :: ReadPrec [Option] #
Show Option Source # |
Methods showsPrec :: Int -> Option -> ShowS # show :: Option -> String # showList :: [Option] -> ShowS #
Generic Option Source # |
Associated Types type Rep Option :: * -> * # Methods from :: Option -> Rep Option x # to :: Rep Option x -> Option #
type Rep Option Source # |
type Rep Option = D1 (MetaData "Option" "System.Posix.Syslog.Options" "hsyslog-5.0.1-LTNaZ9tlet5J4kQ1BXverf" False) ((:+:) ((:+:) (C1 (MetaCons "LogPID" PrefixI False) U1) (C1 (MetaCons "Console" PrefixI False) U1)) ((:+:) (C1 (MetaCons "DelayedOpen" PrefixI False) U1) ((:+:) (C1 (MetaCons "ImmediateOpen" PrefixI False) U1) (C1 (MetaCons "DontWaitForChildren" PrefixI False) U1))))

fromOption :: Option -> CInt Source #

Translate an `Option` into the system-dependent identifier that's used by the `syslog(3)` implementation.